Bug 167037 - No way to have "linux mediacheck" functionality on running system
No way to have "linux mediacheck" functionality on running system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 14:28 EDT by Philip Prindeville
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 15:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2005-08-29 14:28:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Doing a "linux mediacheck" on a virgin system (which may or may not have proven hardware, properly configured BIOS, etc) is all well and good, but it would be just as handy (if not more so) to be able to do a "mediacheck" test on a recently burned installer CD/DVD *on the up & running system on which it was just created*.

The rationale being that this system is at least healthy enough to download the image, and burn something onto a media without crashing... so hopefully it's sane enough to verify the media without too much trouble, either.


Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.49_FC3

How reproducible:
Always

Steps to Reproduce:
1. man -k mediacheck
2.
3.
  

Actual Results:  No man pages for scripts or utilities to mediacheck an installer CD are found.

Expected Results:  A script that could be used on a running system should be indicated. 

Additional info:

You don't always know that the system for which the recently burned install disk is actually sane...  and in some cases, it might actual crash, burn, panic, etc. before it even gets booted far enough along to do the mediacheck.

In other words, booting to the mediacheck phase presumes a certain amount of sanity that might be wishful thinking in a good many cases.
Comment 1 Dave Jones 2005-08-29 20:12:31 EDT
This is in the anaconda-runtime package I believe.

Not a kernel-utils bug anyway.
Comment 2 Jeremy Katz 2005-08-30 15:02:29 EDT
It's there --run /usr/lib/anaconda-runtime/checkisomd5 --verbose /path/to/cddev

Note You need to log in before you can comment on or make changes to this bug.